Templates
Get Template Version
Get one exact Template version by ID.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
template_id*string
Unique identifier of the related template.
Format
uuidtemplate_version_id*string
Unique identifier of the related template version.
Format
uuidQuery Parameters
include?array<"components" | "approvals" | "placeholders" | "text_preview">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 9007199254740991, "published": true, "settings": { "postal": { "duplex": true } }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "order_index": 9007199254740991, "type": "text", "text": "string", "attributes": { "role": "subject" }, "children": [] } ], "approvals": [ { "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1", "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44", "status": "approved", "category": "string" } ], "placeholders": [ { "type": "input", "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b" } ], "text_preview": "string"}Duplicate Template POST
Copies the source Template's language, type, channel, and highest-numbered version into unpublished version 1 of a new Template. Components, Files, and approval intent are copied. Version history, publication state, and provider approval records are not copied. The name defaults to `<source name> (copy)`; the key defaults to a collision-resistant derivative of the source key.
Get Template GET
Get one Template by ID.